.upa_phonebook_entry {
    margin-bottom: 20px;
    padding-bottom: 20px;
    border-bottom: 1px solid var(--mg-primary-color-b-bright);
    position: relative;
}

.upa_phonebook_entry .upa_phonebook_entry_pic {
    margin: 0 auto;
    width: 100px;
    height: 100px;
    border-radius: 100%;
    background-color: var(--mg-primary-color-b-bright);
}

.upa_phonebook_entry .upa_phonebook_entry_pic img {
    border-radius: 100%;
    object-fit: cover;
}

.upa_phonebook_entry .upa_phonebook_entry_content {
    padding-top: 20px;
}

.upa_phonebook_entry .upa_phonebook_entry_content_name {
    font-weight: 600;
    font-size: 20px;
    margin: 0 0 10px 0;
    line-height: 1.4;
}

.upa_phonebook_entry .upa_phonebook_entry_content_institute {
    margin-bottom: 10px;
}

.upa_phonebook_form_wrapper {
    position: relative;
}

.upa_phonebook_form input[type=text] {
    width: 100%;
    padding: 14px 71px 14px 16px;
    font-size: 20px;
    line-height: 1.2;
    border: 1px solid var(--mg-primary-color-b-full);
    position: relative;
    z-index: 1;
}

.upa_phonebook_form button[type=submit] {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    width: 55px;
    background-color: transparent;
    border: none;
    z-index: 2;
    font-size: 0;
    line-height: 0;
    background-image: url(../Img/magnifying-glass.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 26px;
    padding: 0;
    margin: 0;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.upa_phonebook_form button[type="submit"].loading {
    animation: spin 2s linear infinite;
    background-image: url(../Img/circle-notch.svg);
    background-size: 31px;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

.upa_phonebook_form_reset {
    margin-top: 16px;
}

.upa_phonebook_results {
    margin-top: 40px;
}

div.upa_phonebook_error {
    margin-top: 16px;
    background-color: #f8d7da;
    color: #721c24;
    border: 1px solid #f5c2c7;
    padding: 20px;
}

#upa_show_more_btn {
    margin: 0 auto;
    display: block;
    width: auto;
}

@media (min-width: 768px) {
    .upa_phonebook_entry .upa_phonebook_entry_pic {
        position: absolute;
        top: 0;
        left: 0;
    }

    .upa_phonebook_entry .upa_phonebook_entry_content {
        padding-top: 0;
        padding-left: 120px;
    }
}